searchData={"items":[{"type":"module","title":"DValidate","doc":"A module for validating input fields in Elixir applications.","ref":"DValidate.html"},{"type":"function","title":"DValidate.validate_format/2","doc":"","ref":"DValidate.html#validate_format/2"},{"type":"function","title":"DValidate.validate_length/3","doc":"","ref":"DValidate.html#validate_length/3"},{"type":"function","title":"DValidate.validate_presence/2","doc":"","ref":"DValidate.html#validate_presence/2"},{"type":"function","title":"DValidate.validate_type/2","doc":"","ref":"DValidate.html#validate_type/2"},{"type":"module","title":"DValidate.ValidateFormat","doc":"","ref":"DValidate.ValidateFormat.html"},{"type":"function","title":"DValidate.ValidateFormat.call/2","doc":"Validates if a value matches the given regex pattern.","ref":"DValidate.ValidateFormat.html#call/2"},{"type":"function","title":"Examples - DValidate.ValidateFormat.call/2","doc":"iex> DValidate.ValidateFormat.call(\"asabca123\", ~r/^\\w+$/)\n    {:ok}\n\n    iex> DValidate.ValidateFormat.call(\"abc 123\", ~r/^[\\w\\s]+$/)\n    {:ok}\n\n    iex> DValidate.ValidateFormat.call(\"abc@123\", ~r/^\\w+$/)\n    {:error, :field_name, \"has an invalid format\"}","ref":"DValidate.ValidateFormat.html#call/2-examples"},{"type":"module","title":"DValidate.ValidateLength","doc":"","ref":"DValidate.ValidateLength.html"},{"type":"function","title":"DValidate.ValidateLength.call/3","doc":"Validates if a value has a length within a specified range or an exact length.","ref":"DValidate.ValidateLength.html#call/3"},{"type":"function","title":"Parameters - DValidate.ValidateLength.call/3","doc":"- `field_name`: The name of the field being validated (atom).\n  - `value`: The value whose length is being checked (string).\n  - `opts`: Keyword list for validation options. Can be one of:\n    - `min` and `max` for range validation.\n    - `length` for exact length validation.","ref":"DValidate.ValidateLength.html#call/3-parameters"},{"type":"function","title":"Return values - DValidate.ValidateLength.call/3","doc":"- `:ok` if the length of `value` is within the specified range or matches the exact length.\n  - `{:error, field_name, \"is too short\"}` if the length is less than `min` or `length`.\n  - `{:error, field_name, \"is too long\"}` if the length is greater than `max` or `length`.","ref":"DValidate.ValidateLength.html#call/3-return-values"},{"type":"function","title":"Examples - DValidate.ValidateLength.call/3","doc":"iex> DValidate.ValidateLength.call(:field_name, \"abc\", min: 1, max: 3)\n    :ok\n\n    iex> DValidate.ValidateLength.call(:field_name, \"a\", min: 2, max: 5)\n    {:error, :field_name, \"is too short\"}\n\n    iex> DValidate.ValidateLength.call(:field_name, \"abcdef\", min: 1, max: 5)\n    {:error, :field_name, \"is too long\"}\n\n    iex> DValidate.ValidateLength.call(:field_name, \"abc\", length: 3)\n    :ok\n\n    iex> DValidate.ValidateLength.call(:field_name, \"a\", length: 5)\n    {:error, :field_name, \"is too short\"}\n\n    iex> DValidate.ValidateLength.call(:field_name, \"abcdef\", length: 5)\n    {:error, :field_name, \"is too long\"}","ref":"DValidate.ValidateLength.html#call/3-examples"},{"type":"module","title":"DValidate.ValidatePresence","doc":"","ref":"DValidate.ValidatePresence.html"},{"type":"function","title":"DValidate.ValidatePresence.call/2","doc":"Validates if a value is present.","ref":"DValidate.ValidatePresence.html#call/2"},{"type":"function","title":"Examples - DValidate.ValidatePresence.call/2","doc":"iex> DValidate.ValidatePresence.call(\"value\", :field_name)\n    :ok\n\n    iex> DValidate.ValidatePresence.call(nil, :field_name)\n    {:error, :field_name, \"is required\"}","ref":"DValidate.ValidatePresence.html#call/2-examples"},{"type":"module","title":"DValidate.ValidateType","doc":"","ref":"DValidate.ValidateType.html"},{"type":"function","title":"DValidate.ValidateType.call/2","doc":"Validates if a value is of the specified type.","ref":"DValidate.ValidateType.html#call/2"},{"type":"function","title":"Examples - DValidate.ValidateType.call/2","doc":"iex> DValidate.ValidateType.call(1, :integer)\n    :ok\n\n    iex> DValidate.ValidateType.call(\"value\", :string)\n    :ok\n\n    iex> DValidate.ValidateType.call(1.0, :float)\n    :ok\n\n    iex> DValidate.ValidateType.call(\"value\", :integer)\n    {:error, :integer, \"is invalid\"}","ref":"DValidate.ValidateType.html#call/2-examples"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}